import { FormattedMessage, useModel } from 'umi';

import {
  changeAllAirHttp,
  changeAirHttp,
  setEquipeHttp,
  setallLampHttp,
  getStatusHttp,
} from '@/services/ant-design-pro/equipment';

import { Spin, Modal, message } from 'antd';
import { setallLamps } from '@/pages/Equipment/checLampStatus.js';

export const changeLight = (type, itemarr, callback, status) => {
  const setType = status === '打开' ? true : false; // 10关闭 12开启
  var paramsArr = [];
  debugger;
  itemarr.forEach((citem) => {
    citem.equipList.forEach((item) => {
      if (item.equipType == 'light') {
        paramsArr.push({
          id: item.id,
          switch: setType,
        });
      }
    });
  });

  setallLamps(paramsArr, callback);
};

//窗帘的调节      0是关闭 1 是开启  2 是部分开启
export const changeCurtain = (type, itemarr, callback, status) => {
  debugger;
  const setType = status === '打开' ? 'EquipOnSet' : 'EquipOffSet';
  var paramsArr = [];
  itemarr.forEach((citem) => {
    citem.equipList.forEach((item) => {
      if (item.equipType == 'curtain') {
        paramsArr.push({
          equipmentCategory: 'CFSSES',
          infoCode: setType,
          value: 1,
          objectId: item.id,
        });
      }
    });
  });

  //发送指令
  setEquipeHttp(paramsArr);
  //这是在手动改变状态
  callback();
};

//空调的调节      0是关闭 1 是开启  2 是部分开启
export const changeAir = (sitem, index, callback) => {
  const itemId = sitem.airConditioner === 0 ? 12 : 10; // 10关闭 12开启
  const paramsObj = {
    objectId: sitem.id, // 空间id
    valueType: 1, // 固定为1 1
    itemId: itemId,
  };
  changeAirHttp(paramsObj).then((res) => {
    if (res.result == 'success') {
      message.success('指令下发成功');
      // // sitem.airConditioner = res.isClose ? 0 : 1; //改变某空间空调的状态
      // //mapCombineList[index]['airConditioner'] = res.isClose ? 0 : 1;
      // var mapCopy = JSON.parse(JSON.stringify(mapCombineList));
      // mapCopy[index]['airConditioner'] = res.isClose ? 0 : 1;
      // setMapCombineList(mapCopy);
      callback();
    } else {
      message.error('操作失败，请重试');
    }
  });
};
export const changeAllAir = (itemarr, callback, status, projectId) => {
  let paramsArr = [];
  debugger;
  itemarr.forEach((sitem) => {
    const itemId = status === '打开' ? 12 : 10; // 10关闭 12开启
    paramsArr.push({
      projectId: projectId,
      objectId: sitem.id, // 空间id
      valueType: 1, // 固定为1 1
      itemId: itemId,
    });
  });

  changeAllAirHttp(paramsArr).then((res) => {
    debugger;
    if (res.result == 'success') {
      message.success('指令下发成功');
      callback();
    } else {
      message.error('操作失败，请重试');
    }
  });
};
